CREATE TABLE Doc_Gen_Answer_Mapping(
                [ID] [int] IDENTITY(1,1) NOT NULL,
                [DocName] [varchar](50) NOT NULL,
                [BookMarkName] [varchar](50) NOT NULL,
				[BookMarkDesc] [Text] NOT NULL,
				[QuestionsID] [int] NULL,
                [AnswersID] [int] NULL,
				[FunctionName] [varchar](50)  NULL,
				 CONSTRAINT [PK_Doc_Gen_Answer_Mapping] PRIMARY KEY CLUSTERED ([ID]))


ALTER TABLE [dbo].[Doc_Gen_Answer_Mapping]  WITH CHECK ADD  CONSTRAINT [FK_Doc_Gen_Answer_Mapping_Answers] FOREIGN KEY([AnswersID])
REFERENCES [dbo].[Answers] ([AnswersID])
GO

ALTER TABLE [dbo].[Doc_Gen_Answer_Mapping] CHECK CONSTRAINT [FK_Doc_Gen_Answer_Mapping_Answers]
GO


ALTER TABLE [dbo].[Doc_Gen_Answer_Mapping]  WITH CHECK ADD  CONSTRAINT [FK_Doc_Gen_Answer_Mapping_Questions] FOREIGN KEY([QuestionsID])
REFERENCES [dbo].[Questions] ([QuestionsID])
GO

ALTER TABLE [dbo].[Doc_Gen_Answer_Mapping] CHECK CONSTRAINT [FK_Doc_Gen_Answer_Mapping_Questions]
GO

SET IDENTITY_INSERT [dbo].[Doc_Gen_Answer_Mapping] ON
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (1, 'ACORP_Main_Body_59', 'Text1', 'A.1# Full Name of Principal Investigator', 13447, null,	Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (2, 'ACORP_Main_Body_59', 'Text2', 'A.3#Protocol Title	Null', 13574, null, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (3, 'ACORP_Main_Body_59', 'Check1', 'A.5#Funding Source(s) - Unfunded', 13650, 13820, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (4, 'ACORP_Main_Body_59', 'Check2', 'A.5#Funding Source(s) - CSRD (Clinical Science Research and Development)', 13650, 13502, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (5, 'ACORP_Main_Body_59', 'Check3', 'A.5#Funding Source(s) - RRD (Rehabilitation Research and Development)', 13650, 13466, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (6, 'ACORP_Main_Body_59', 'Check4', 'A.5#Funding Source(s) - Local VAMC (Local Veterans Affairs Medical Center)', 13650, 13441, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (7, 'ACORP_Main_Body_59', 'Check5', 'A.5#Funding Source(s) - DOD (Department of Defense)', 13650, 13499, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (8, 'ACORP_Main_Body_59', 'Check6', 'A.5#Funding Source(s) - Affiliate/Departmental Funds', 13650, 13791, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (9, 'ACORP_Main_Body_59', 'Check7', 'A.5#Funding Source(s) - BLRD (Biomedical Laboratory Research and Development)', 13650, 13741, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (10, 'ACORP_Main_Body_59', 'Check8', 'A.5#Funding Source(s) - HSRD (Health Services Research and Development)', 13650, 13630, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (11, 'ACORP_Main_Body_59', 'Check9', 'A.5#Funding Source(s) - QUERI (Quality Enhancement Research Initiative)', 13650, 13412, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (12, 'ACORP_Main_Body_59', 'Check10', 'A.5#Funding Source(s) - NIH (National Institutes of Health)', 13650, 13555, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (13, 'ACORP_Main_Body_59', 'Check11', 'A.5#Funding Source(s) - Commercial', 13650, 13427, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (14, 'ACORP_Main_Body_59', 'Check12', 'A.5#Funding Source(s) - ORD (Office of Research Development)', 13650, 14357, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (15, 'ACORP_Main_Body_59', 'Check13', 'A.5#Funding Source(s) - Other (Please Specify):', 13650, 13844, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (16, 'ACORP_Main_Body_59', 'Text3', 'E.1# PI Name',	13447, Null, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (17, 'ACORP_Main_Body_59', 'Table1', 'E.2#Other research personnel Name', Null, Null, 'buildOtherResPerSection')
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (18, 'ACORP_Main_Body_59', 'Text8', 'Z page 15 - Name of PI (Signature box)', 13447, Null, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (19, 'ACORP_Main_Body_59', 'Text7', '3 a page 17 - Name of PI (Signature box)', 13447, Null, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (20, 'ACORP_Main_Body_59', 'Text6', '5 Page 19 - Name of PI (Signature box)', 13447, Null, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (21, 'ACORP_Main_Body_59', 'Text5', '7a Page 19 - Name of PI (Signature box)', 13447, Null, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (22, 'ACORP_Main_Body_59', 'Text4', '8a Page 21 - Name of PI (Signature box)', 13447, Null, Null)

INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (23, 'ACORP_Appendix1_59', 'Text1', 'Header# Full Name of Principal Investigator',	13447, Null, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (24, 'ACORP_Appendix2_59',	'Text1', 'Header# Full Name of Principal Investigator',	13447, Null, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (25, 'ACORP_Appendix3_59', 'Text1', 'Header# Full Name of Principal Investigator',	13447, Null, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (26, 'ACORP_Appendix4_59', 'Text1', 'Header# Full Name of Principal Investigator',	13447, Null, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (27, 'ACORP_Appendix5_59', 'Text1', 'Header# Full Name of Principal Investigator',	13447, Null, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (28, 'ACORP_Appendix6_59', 'Text1', 'Header # Full Name of Principal Investigator', 13447, Null, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (29, 'ACORP_Appendix7_59', 'Text1', '1# Full Name of Principal Investigator',	13447, Null, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (30, 'ACORP_Appendix8_59', 'Text1', '1# Full Name of Principal Investigator',	13447, Null, Null)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (31, 'ACORP_Appendix9_59', 'Text1', 'Header# Full Name of Principal Investigator',	13447, Null, Null)

INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (32, 'Form_10-0398_RPSS_59', 'Text1', 'Principal Investigator (PI)', 13447, NULL, NULL)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (33, 'Form_10-0398_RPSS_59', 'Text2', 'Project Title', 13574,	NULL, NULL)		
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (34, 'Form_10-0398_RPSS_59', 'Check1', '1. (a)', 13466, 13564, NULL)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (35, 'Form_10-0398_RPSS_59', 'Check2', '1. (a)', 13466, 13504, NULL)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (36, 'Form_10-0398_RPSS_59', 'Check4', '1.(b)', 13592, 13506, NULL)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (37, 'Form_10-0398_RPSS_59', 'Check10', '1.(b)', 13592, 13556, NULL)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (38, 'Form_10-0398_RPSS_59', 'Check11', '1.(c)', 13479, 13543, NULL)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (39, 'Form_10-0398_RPSS_59', 'Check6', '1.(c)', 13479, 13653, NULL)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (40, 'Form_10-0398_RPSS_59', 'Check22', '1.(f)(1)', 13549, 13532, NULL)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (41, 'Form_10-0398_RPSS_59', 'Check23', '1.(f)(2)', 13549,	13755, NULL)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (42, 'Form_10-9012_59', 'Text2', '1#TITLE OF STUDY', 13574, NULL, NULL)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (43, 'Form_10-9012_59', 'Text4', '3#Principal Investigator (PI)', 	13447, NULL, NULL)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (44, 'Form_10-9012_59', 'Text5', '4#ALL DESIGNATIONS FOR DRUG (Generic and chemical, code, trade-names, other designations)', 13326, NULL, NULL)
INSERT INTO [dbo].[Doc_Gen_Answer_Mapping](ID, DocName, BookMarkName, BookMarkDesc, QuestionsID, AnswersID, FunctionName) VALUES (45, 'Form_10-9012_59', 'Text9', '8#DOSAGE FORMS AND STRENGTHS',  13326, NULL, NULL)


SET IDENTITY_INSERT [dbo].[Doc_Gen_Answer_Mapping] OFF