var itemInfo; // data after JSON is parsed into dictionary
// var currentUrl = window.location.href;
// var realUrl = currentUrl.substring(0, currentUrl.indexOf("SiteAssets")-1);
// var restPath = "https://" + window.location.hostname + ":8888/RAMS-2.2.0/";
var realUrl = dynamicSharepointURL;
var restPath = dynamicWebServiceURL;
var requestDigest = null;
var amendmentArray = [];

function generateAmendmentReportData(CIRB) {

   var url = null;
   getApplicationData(CIRB, url);
}

function getApplicationData(CIRB, url) {
   var initialUrl = realUrl
         + "_api/Web/Lists/GetByTitle('Application')/Items?$filter=CIRB_ID eq '" + CIRB + "' and substringof('- Amendment', StudyTitle)";
   var appDataUrl;
   if (url) {
      appDataUrl = url;
   } else {
      appDataUrl = initialUrl;
   }
   $.ajax({
      url : appDataUrl,
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         for (var i = 0; i < data.d.results.length; i++) {
            getDataPt1(i, data.d.results);
         }
         if (data.d.__next) {
            getApplicationData(CIRB, data.d.__next);
         }

      },
      error : function(data) {
         alert("Error " + data);
      }
   });
}

function getDataPt1(i, itemInfo) {
   console.log(i + ":" + itemInfo);
   // var appSiteType = itemInfo.d.results[i].ApplicationSiteType;
   $.ajax({
      url : restPath + "study/" + itemInfo[i].Study_ID,
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         var studyID = itemInfo[i].Study_ID;
         var cirbID = itemInfo[i].CIRB_ID;
         var facilitiesLookupID = itemInfo[i].FacilitiesLookupId
         var receivedDate = "N/A";
         var approvalDate = "N/A";
         var temp = data.studyStatusCollection;
         for (var j = 0; j < temp.length; j++) {
            if (temp[j].studyState.name.trim() == "Approved")
               approvalDate = temp[j].createdAt.split("T")[0];
            if (temp[j].studyState.name.trim() == "Review")
               receivedDate = temp[j].createdAt.split("T")[0];
         }
         getDataPt2(studyID, cirbID, facilitiesLookupID, receivedDate, i, approvalDate);
      }
   });
}

function getDataPt2(studyID, CIRBID, facilitiesLookupID, receivedDate, i, approvalDate) {
   $.ajax({
      url : realUrl + "_api/web/lists/getbytitle('Facilities')/items",
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         var returnedFacilities = data.d.results;
         var siteName;
         for (var j = 0; j < returnedFacilities.length; j++) {
            if (returnedFacilities[j].Id == facilitiesLookupID) {
               siteName = returnedFacilities[j].Title;
            }
         }
         amendmentArray.push({
            "Study_ID" : studyID,
            "CIRB_Number" : CIRBID,
            "Received" : receivedDate,
            "Site" : siteName,
            "Amendment_Number" : (i + 1),
            "Desc_Amendment" : "N/A",
            "Approval_Date" : approvalDate
         });
         $("#example-table-theme").tabulator("setData", amendmentArray);
      }
   });
}
