var itemInfo; // data after JSON is parsed into dictionary
// var currentUrl = window.location.href;
// var realUrl = currentUrl.substring(0, currentUrl.indexOf("SiteAssets")-1);
// var restPath = "https://" + window.location.hostname + ":8888/RAMS-2.2.0/";
// JSHINT This file requires requires RAMS-environment.js to be loaded.
// jshint -W117
var realUrl = dynamicSharepointURL;
var restPath = dynamicWebServiceURL;
var expeditedArray = [];
var count = 0;

// JSHINT the next exported comment tells jshint that the function is called by javascript external to this file.
/* exported generateCRExpeditedReportData */
function generateCRExpeditedReportData() {
   var url = null;
   getApplicationData(url);
}

function getApplicationData(url) {
   var initialUrl = realUrl
      + "_api/web/lists/getbytitle('Application')/items?$filter=ApplicationStatus eq 'Approved' and ApplicationType eq 'Renewal'&$select=Study_ID,Title,ExpiringDate,CIRB_ID,ApplicationType,AssignedIRBAdministrator/ID,AssignedIRBAdministrator/Title,PrincipalInvestigator/ID,PrincipalInvestigator/Title,CoPI/ID,CoPI/Title,FacilityLookup/FacilityName&$expand=AssignedIRBAdministrator,PrincipalInvestigator,CoPI,FacilityLookup";
   var appDataUrl;
   if (url) {
      appDataUrl = url;
   } else {
      appDataUrl = initialUrl;
   }

   // THIS IS THE MAIN QUERY TO RETRIEVE STUDY ITEMS FROM APPLICATION LIST.

   $.ajax({
      url : appDataUrl,
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         // mapping the results

         populateExpeditedArray(data);
         // This function will populate the expeditedArray
         if (data.d.__next) {
            getApplicationData(data.d.__next);
         }
      },
      error : function(data) {
         console.log("Error " + data);
      }
   });

}

function populateExpeditedArray(inData) {
   itemInfo = inData;
   count = 0;
   // 1) THIS FUNCTION WILL BUILD ARRAY FROM MAIN QUERY USING LOOP. inData IS THE JSON PASSED FROM MAIN QUERY
   for (itemCount = 0; itemCount < itemInfo.d.results.length; itemCount++) {
      // JSHINT 'Study_ID' is not in camel case
      // jshint -W106
      var studyID = itemInfo.d.results[itemCount].Study_ID;
      var cirbTag = itemInfo.d.results[itemCount].CIRB_ID;
      var coPI = itemInfo.d.results[itemCount].CoPI;
      var PI = itemInfo.d.results[itemCount].PrincipalInvestigator;
      var expeditedReviewCategory = "N/A";

      if (coPI === null) {
         coPI = "N/A";
      } else {
         coPI = itemInfo.d.results[itemCount].CoPI.Title;
      }

      if (PI === null) {
         PI = "N/A";
      } else {
         PI = itemInfo.d.results[itemCount].PrincipalInvestigator.Title;
      }

      // check for CIRB tag value
      if (cirbTag === null) {
         cirbTag = "N/A";
      }

      // check for expedited category
      if (itemInfo.d.results[itemCount].ApplicationType.split("Renewal")[0] !== "") { // 8 = Renewal & 10 = Expedited
         expeditedReviewCategory = getCategories(itemInfo.d.results[itemCount].ApplicationType.substring(8));
      }

      expeditedArray.push({
         "Study_ID" : studyID,
         "Protocol_Title" : itemInfo.d.results[itemCount].Title,
         "PI" : PI,
         "CoPI" : coPI,
         "Site" : itemInfo.d.results[itemCount].FacilityLookup.FacilityName,
         "CIRB_Number" : cirbTag,
         "Expedited_Type" : expeditedReviewCategory,
         "Date_Approved" : "Not Yet Approved"
      });
      // 2) IN THE LOOP, IT WILL GO TO RETRIEVE STATUS DETAILS FROM RAMS_DB FOR EACH STUDY IN THE MAIN QUERY.

      $.ajax({
         url : restPath + "study/" + studyID,
         method : "GET",
         headers : {
            "Accept" : "application/json; odata=verbose"
         },
         success : onSuccess(data, count),
         // function(data) {
         // // 3) THIS SECOND AJAX QUERY IS GETTING THE study JSON OBJECT FROM RAMS_DB FOR EACH STUDY IN MAIN QUERY. IF
         // // THERE ARE STATUS COLLECTION ASSOCIATED WITH THIS STUDY OBJECT, IT WILL BUILD STATUS STRING USING
         // // getStatusText FUNCTION. IT WILL THEN UPDATE THE STATUS PROPERTY OF ARRAY OBJECT OF THAT STUDY IN
         // // expeditedArray USING updateStatus() FUNCTION.
         // var statusText = getStatusText(data);
         // updateStatus(data.assignedID, statusText);
         //
         // // SINCE THIS AJAX CALL IS ASYNCHRONOUS, WE HAVE TO TRACK THE END OF LAST AJAX CALL USING COUNTER AND
         // // COMPARING AGAINST THE SIZE OF MAIN QUERY.
         // count = count + 1;
         //
         // if (count === (itemInfo.d.results.length)) { // THIS IS THE LAST AJAX CALL
         //
         // // do the tabulation here
         // $("#example-table-theme").tabulator("setData", expeditedArray);
         //
         // }
         //
         // },
         error : onError()
      // function(data) {
      // // 4) NO STATUS FOUND IN RAMS_DB FOR THAT STUDY
      // count = count + 1;
      // if (count === (itemInfo.d.results.length)) { // //THIS IS THE LAST AJAX CALL
      //
      // // do the tabulation here
      // $("#example-table-theme").tabulator("setData", expeditedArray);
      //
      // }
      // }

      });

   }// end of for loop

}
function onSuccess(data, count) {
   // 3) THIS SECOND AJAX QUERY IS GETTING THE study JSON OBJECT FROM RAMS_DB FOR EACH STUDY IN MAIN QUERY. IF
   // THERE ARE STATUS COLLECTION ASSOCIATED WITH THIS STUDY OBJECT, IT WILL BUILD STATUS STRING USING
   // getStatusText FUNCTION. IT WILL THEN UPDATE THE STATUS PROPERTY OF ARRAY OBJECT OF THAT STUDY IN
   // expeditedArray USING updateStatus() FUNCTION.
   var statusText = getStatusText(data);
   updateStatus(data.assignedID, statusText);

   // SINCE THIS AJAX CALL IS ASYNCHRONOUS, WE HAVE TO TRACK THE END OF LAST AJAX CALL USING COUNTER AND
   // COMPARING AGAINST THE SIZE OF MAIN QUERY.
   count = count + 1;

   if (count === (itemInfo.d.results.length)) { // THIS IS THE LAST AJAX CALL

      // do the tabulation here
      $("#example-table-theme").tabulator("setData", expeditedArray);

   }

}

function onError() {
   // 4) NO STATUS FOUND IN RAMS_DB FOR THAT STUDY
   count = count + 1;
   if (count === (itemInfo.d.results.length)) { // //THIS IS THE LAST AJAX CALL

      // do the tabulation here
      $("#example-table-theme").tabulator("setData", expeditedArray);

   }
}
function getCategories(checkBoxes) {

   var indexArray = findIndexes("*", checkBoxes);
   var expeditedArray = RAMS.Environment.SharePoint.List.Application.ExpeditedCategories;
   var categories = "";
   for ( var j in indexArray) {
      if (indexArray.hasOwnProperty(j)) {
         categories = categories + expeditedArray[indexArray[j]] + String.fromCharCode(13);
      }
   }

   return categories;

}

function findIndexes(char, str) {
   for (var a = [], i = str.length; i--;) {
      // JSHINT Expected '===' and instead saw '=='
      // jshint -W116
      if (str[i] == char) {
         a.push(i);
      }
   }
   return a;
}

// function findIndexes1(substring, string) {
// var a = [], i = -1;
// while ((i = string.indexOf(substring, i + 1)) >= 0){
// a.push(i);
// }
// return a;
// }

function updateStatus(studyID, statusText) {
   for ( var i in expeditedArray) {
      // JSHINT 'Study_ID' is not in camel case
      // jshint -W106
      if (expeditedArray[i].Study_ID === studyID) {
         expeditedArray[i].Date_Approved = statusText;
         break; // Stop this loop, we found it!
      }
   }
}

function getStatusText(studyObject) {

   var statusText = "Not Yet Approved";
   var study = studyObject;
   for ( var j in study.studyStatusCollection) {

      if (study.studyStatusCollection[j].studyState.name.trim() === "Approved") {
         statusText = study.studyStatusCollection[j].createdAt.split("T")[0];
      }
   }

   return statusText;
}
