
	var itemInfo; //data after JSON is parsed into dictionary
   //var currentUrl = window.location.href;
   //var realUrl = currentUrl.substring(0, currentUrl.indexOf("SiteAssets")-1);
   //var restPath = "https://" + window.location.hostname + ":8888/RAMS-2.2.0/";
   var realUrl = dynamicSharepointURL;
   var restPath = dynamicWebServiceURL;
	var requestDigest = null;
	var crsArray =[];
	var count = 0;
	
	function generateCRSReportData(CIRB){
	   var url = null;
	   getApplicationData(CIRB, url);
	}

	function getApplicationData(CIRB, url) {
	   var initialUrl = realUrl
	         + "_api/web/lists/getbytitle('Application')/items?$filter=CIRB_ID eq '"+CIRB+"' and substringof('- Continuing Review', StudyTitle)&$select=Study_ID,Title,ExpiringDate,CIRB_ID,ApplicationType,AssignedIRBAdministrator/ID,AssignedIRBAdministrator/Title,PrincipalInvestigator/ID,PrincipalInvestigator/Title,CoPI/ID,CoPI/Title,FacilityLookup/FacilityName&$expand=AssignedIRBAdministrator,PrincipalInvestigator,CoPI,FacilityLookup";
	   var appDataUrl;
	   if (url) {
	      appDataUrl = url;
	   } else {
	      appDataUrl = initialUrl;
	   }
		//THIS IS THE MAIN QUERY TO RETRIEVE STUDY ITEMS FROM APPLICATION LIST.
			$.ajax({
				url: appDataUrl,
				method: "GET",
				headers: { "Accept": "application/json; odata=verbose" },
				success: function (data) {
					// mapping the results
					
					populatecrsArray(data);
					//This function will populate the crsArray
		         if (data.d.__next) {
		            getApplicationData(CIRB, data.d.__next);
		         }

				},
				error: function (data) {
					console.log("Error " + data);
				}
			});
	}
	
	 function populatecrsArray(inData){
		itemInfo =  inData;
		count = 0;
		//1) THIS FUNCTION WILL BUILD ARRAY FROM MAIN QUERY USING LOOP.  inData IS THE JSON PASSED FROM MAIN QUERY
		for(itemCount = 0; itemCount < itemInfo.d.results.length; itemCount++){
			   var expirDate;
			   var studyID = itemInfo.d.results[itemCount].Study_ID;
			   var cirbTag = itemInfo.d.results[itemCount].CIRB_ID
			   var coPI = itemInfo.d.results[itemCount].CoPI;
			   var PI = itemInfo.d.results[itemCount].PrincipalInvestigator;
			   var admin = itemInfo.d.results[itemCount].AssignedIRBAdministrator.Title;
			   var studyTitle = itemInfo.d.results[itemCount].Title;
			   var expeditedReviewCategory = "N/A";
			   
			   //check for expiration date
			   if (itemInfo.d.results[itemCount].ExpiringDate == null){
				   expirDate = "N/A";
			   }else{
				   expirDate = itemInfo.d.results[itemCount].ExpiringDate.split("T")[0];
			   }
			   //check for PI and CoPI values
			   if (coPI.Title == null) {
				   coPI = "N/A";
			   }else{
				   coPI = coPI.Title;
			   }
			   if ( PI.Title == null) {
				   PI = "N/A";
			   }else{
				   PI = PI.Title;
			   }
			   
			   //check for CIRB tag value
			   if(cirbTag == null) {
				   cirbTag = "N/A";
			   }
			   
			   //check for admin value
			   if (admin == null) {
				   admin = "N/A";
			   }
			   
			   //check for expedited category
			   if ((itemInfo.d.results[itemCount].ApplicationType.split(" ")[1]) != ""){
				   expeditedReviewCategory = getCategories(itemInfo.d.results[itemCount].ApplicationType.substring(8));
			   }
			   
			   crsArray.push({
						"Expiration_Date": expirDate,
				   		"Study_ID": studyID,
						"CIRB_Number": cirbTag,
						"Protocol_Title": studyTitle,
						"PI": PI,
						"CoPI": coPI,
						"PI_Site": itemInfo.d.results[itemCount].FacilityLookup.FacilityName, 
						"Expedited_Type": expeditedReviewCategory,
						"Date_Received" : "N/A",
						"Date_Sent_Reviewer" : "N/A",
						"Date_Approved" : "N/A",
						"Review_Type": itemInfo.d.results[itemCount].ApplicationType,
						"IRB_Manager": admin					
				});
				//2) IN THE LOOP, IT WILL GO TO RETRIEVE STATUS DETAILS FROM RAMS_DB FOR EACH STUDY IN THE MAIN QUERY.			
			   	 $.ajax({
					 url: restPath + "study/" +studyID,
					 method: "GET",
					 async: false,
					 headers: { "Accept": "application/json; odata=verbose" },
					 success: function (data) {
						 // 3) THIS SECOND AJAX QUERY IS GETTING THE study JSON OBJECT FROM RAMS_DB FOR EACH STUDY IN MAIN QUERY.  IF THERE ARE STATUS COLLECTION  ASSOCIATED WITH THIS STUDY OBJECT, IT WILL BUILD STATUS STRING USING getStatusText FUNCTION. IT WILL THEN UPDATE THE STATUS PROPERTY OF ARRAY OBJECT OF THAT STUDY IN crsArray USING updateStatus() FUNCTION.
						 var status = getStatusText(data);
						 updateStatus(data.assignedID, status);					
						 //SINCE THIS AJAX CALL IS ASYNCHRONOUS, WE HAVE TO TRACK THE END OF LAST AJAX CALL USING COUNTER AND COMPARING AGAINST THE SIZE OF MAIN QUERY.
						 count = count + 1;					
						 if (count == (itemInfo.d.results.length)){ //THIS IS THE LAST AJAX CALL						
							 //do the tabulation here
							 $("#example-table-theme").tabulator("setData", crsArray);						
						 }
					 },
					 error: function (data) {
						 //4) NO STATUS FOUND IN RAMS_DB FOR THAT STUDY
						 count = count+ 1;
						 if (count  == (itemInfo.d.results.length )){						
							 //do the tabulation here
							 $("#example-table-theme").tabulator("setData", crsArray);						
						 }
					 }				
				 });
        }//end of for loop
	 }
	
	function getCategories(checkBoxes){
	
		var indexArray = findIndexes('*', checkBoxes);
		var crsArray = RAMS.Environment.SharePoint.List.Application.ExpeditedCategories;
		var categories ="";
		for (var j in indexArray){
			categories = categories + crsArray[indexArray[j]] + String.fromCharCode(13);
		}
		
		return categories;
		
	}
		
	 
	function findIndexes(char,str){
    for (var a=[],i=str.length;i--;) if (str[i]==char) a.push(i);
    return a;
	}
	
	 
	function updateStatus(studyID, status) {
		for (var i in crsArray) {
			if (crsArray[i].Study_ID == studyID) {				
				crsArray[i].Date_Received = status[0];
				crsArray[i].Date_Sent_Reviewer = status[1];
				crsArray[i].Date_Approved = status[2];
				break; //Stop this loop, we found it!
			}
		}
	}
	
	 
	function getStatusText(studyObject){
		var submissionDate = "N/A";
		var reviewDate = "N/A";
		var approvalDate = "N/A";
		var study = studyObject;
		for (var j in study.studyStatusCollection){
			if (study.studyStatusCollection[j].studyState.name.trim() == "Submitted"){
				submissionDate = study.studyStatusCollection[j].createdAt.split("T")[0];
			}
			
			if (study.studyStatusCollection[j].studyState.name.trim() == "Under Review"){
				reviewDate = study.studyStatusCollection[j].createdAt.split("T")[0];
			}
			
			if (study.studyStatusCollection[j].studyState.name.trim() == "Approved"){
				approvalDate = study.studyStatusCollection[j].createdAt.split("T")[0];
			}	
		}
		return [submissionDate, reviewDate, approvalDate];
	}