var itemInfo; // data after JSON is parsed into dictionary
// var currentUrl = window.location.href;
// var realUrl = currentUrl.substring(0, currentUrl.indexOf("SiteAssets")-1);
// var restPath = "https://" + window.location.hostname + ":8888/RAMS-2.2.0/";
var realUrl = dynamicSharepointURL;
var restPath = dynamicWebServiceURL;
var requestDigest = null;
var amendmentArray = [];

function generateReportData() {
   var url = null;
   getApplicationData(url);
}

function getApplicationData(url) {
   var initialUrl = realUrl
         + "_api/Web/Lists/GetByTitle('Application')/Items?$filter= substringof('- Adverse', StudyTitle)";
   var appDataUrl;
   if (url) {
      appDataUrl = url;
   } else {
      appDataUrl = initialUrl;
   }
   $.ajax({
      url : appDataUrl,
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         for (var i = 0; i < data.d.results.length; i++) {
            getDataPt1(data.d.results[i]);
         }
         if (data.d.__next) {
            getApplicationData(data.d.__next);
         }

      },
      error : function(data) {
         alert("Error " + data);
      }
   });
}

function getDataPt1(itemInfo) {
   $.ajax({
      url : restPath + "study/" + itemInfo.Study_ID + "/responses/1/rollup",
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         var n_or_f = "N/A";
         var type = "N/A";
         var deviations = 0;
         for (var j = 0; j < data.responses.length; j++) {
            // New or Follow up report
            if (data.responses[j].questionsID == "13900") {
               if (data.responses[j].answersID == "14190") {
                  deviations = 1;
               }
            }
            // New or Follow up report
            if (data.responses[j].questionsID == "13875") {
               if (data.responses[j].answersID == "14158") {
                  n_or_f = "New Report";
               } else if (data.responses[j].answersID == "14173") {
                  n_or_f = "Follow-Up";
               }
            }
            // Report type
            if (data.responses[j].questionsID == "13936") {
               console.log("Site type:" + data.responses[j].answersID);
               type = data.responses[j].checkboxIndex;
            }
         }
         if (deviations == 1) {
            getDataPt2(itemInfo, n_or_f, type);
         }
      }
   });

}

function getDataPt2(itemInfo, n_or_f, type) {
   $.ajax({
      url : restPath + "study/" + itemInfo.Study_ID,
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         var studyID = itemInfo.Study_ID;
         var cirbID = itemInfo.CIRB_ID;
         var FacilitiesLookupID = itemInfo.FacilitiesLookupId;
         var receivedDate = "N/A";
         var approvedDate = "N/A";
         var temp = data.studyStatusCollection;
         for (var j = 0; j < temp.length; j++) {
            if (temp[j].studyState.name.trim() == "Approved")
               approvedDate = temp[j].createdAt.split("T")[0];
            if (temp[j].studyState.name.trim() == "Review")
               receivedDate = temp[j].createdAt.split("T")[0];
         }
         getDataPt3(studyID, cirbID, FacilitiesLookupID, receivedDate, approvedDate, n_or_f, type);
      }
   });
}

function getDataPt3(studyID, CIRBID, FacilitiesLookupID, receivedDate, approvedDate, n_or_f, type) {
   $.ajax({
      url : realUrl + "_api/web/lists/getbytitle('Facilities')/items",
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         var returnedFacilities = data.d.results;
         var siteName;
         for (var j = 0; j < returnedFacilities.length; j++) {
            if (returnedFacilities[j].Id == FacilitiesLookupID) {
               siteName = returnedFacilities[j].Title;
            }
         }
         getDataPt4(studyID, CIRBID, FacilitiesLookupID, receivedDate, approvedDate, n_or_f, type, siteName);
      }
   });
}

function getDataPt4(studyID, CIRBID, FacilitiesLookupID, receivedDate, approvedDate, n_or_f, type, siteName) {
   var deter = "N/A";
   $.ajax({
      url : restPath + "study/" + studyID + "/comments/3",
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         deter = data[0].hyperText;
         amendmentArray.push({
            "Received_Date" : receivedDate,
            "Report_Number" : studyID,
            "CIRB_Number" : CIRBID,
            "New_Or_Follow" : n_or_f,
            "Site" : siteName,
            "Type" : type,
            "Determination" : deter,
            "IRB_Date" : approvedDate
         });
         $("#example-table-theme").tabulator("setData", amendmentArray);
      },
      error : function(data) {
         amendmentArray.push({
            "Received_Date" : receivedDate,
            "Report_Number" : studyID,
            "CIRB_Number" : CIRBID,
            "New_Or_Follow" : n_or_f,
            "Site" : siteName,
            "Type" : type,
            "Determination" : deter,
            "IRB_Date" : approvedDate
         });
         $("#example-table-theme").tabulator("setData", amendmentArray);
      }
   });

}
