var itemInfo; // data after JSON is parsed into dictionary
// var currentUrl = window.location.href;
// var realUrl = currentUrl.substring(0, currentUrl.indexOf("SiteAssets")-1);
// var restPath = "https://" + window.location.hostname + ":8888/RAMS-2.2.0/";
var realUrl = dynamicSharepointURL;
var restPath = dynamicWebServiceURL;
var requestDigest = null;
var amendmentArray = [];

function generateAmendmentReportData() {
   var url = null;
   getApplicationData(url);
}

function getApplicationData(url) {
   var initialUrl = realUrl
         + "_api/Web/Lists/GetByTitle('Application')/Items?$filter= substringof('- Amendment', StudyTitle) and ApplicationStatus eq 'Approved'";
   var appDataUrl;
   if (url) {
      appDataUrl = url;
   } else {
      appDataUrl = initialUrl;
   }
   $.ajax({
      url : appDataUrl,
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         for (var i = 0; i < data.d.results.length; i++) {
            if (data.d.results[i].ApplicationType.indexOf("Expedited") == 0) {
               getDataPt1(data.d.results[i]);
            }
         }
         if (data.d.__next) {
            getApplicationData(data.d.__next);
         }
      },
      error : function(data) {
         alert("Error " + data);
      }
   });
}

function getDataPt1(itemInfo) {
   $.ajax({
      url : realUrl + "_api/Web/Lists/GetByTitle('Application')/Items?$filter=Study_ID eq '" + itemInfo.ParentStudyID
            + "'",
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         for (var i = 0; i < data.d.results.length; i++) {
            getDataPt2(i, data.d.results);
         }
      },
      error : function(data) {
         alert("Error " + data);
      }
   });
}

function getDataPt2(i, itemInfo) {
   $.ajax({
      url : restPath + "study/" + itemInfo[i].Study_ID,
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         var studyID = itemInfo[i].Study_ID;
         var cirbID = itemInfo[i].CIRB_ID;
         var FacilitiesLookupID = itemInfo[i].FacilitiesLookupId;
         var receivedDate = "N/A";
         var approvalDate = "N/A";
         var temp = data.studyStatusCollection;
         for (var j = 0; j < temp.length; j++) {
            if (temp[j].studyState.name.trim() == "Approved")
               approvalDate = temp[j].createdAt.split("T")[0];
            if (temp[j].studyState.name.trim() == "Review")
               receivedDate = temp[j].createdAt.split("T")[0];
         }
         getDataPt3(studyID, cirbID, FacilitiesLookupID, receivedDate, i, approvalDate);
      }
   });
}

function getDataPt3(studyID, CIRBID, FacilitiesLookupID, receivedDate, i, approvalDate) {
   $.ajax({
      url : realUrl + "_api/web/lists/getbytitle('Facilities')/items",
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         var returnedFacilities = data.d.results;
         var siteName;
         for (var j = 0; j < returnedFacilities.length; j++) {
            if (returnedFacilities[j].Id == FacilitiesLookupID) {
               siteName = returnedFacilities[j].Title;
            }
         }
         getDataPt4(studyID, CIRBID, receivedDate, siteName, i, approvalDate);
      }
   });
}

function getDataPt4(studyID, CIRBID, receivedDate, siteName, i, approvalDate) {
   $.ajax({
      url : restPath + "study/" + studyID + "/comments/3/rollup",
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         var description = "";
         for ( var j in data) {
            description += data[j].hyperText;
         }
         amendmentArray.push({
            "Study_ID" : studyID,
            "CIRB_Number" : CIRBID,
            "Received" : receivedDate,
            "Site" : siteName,
            "Amendment_Number" : (i + 1),
            "Desc_Amendment" : description,
            "Approval_Date" : approvalDate
         });
         $("#example-table-theme").tabulator("setData", amendmentArray);
      }
   });
}
