
    

	var itemInfo; //data after JSON is parsed into dictionary
   //var currentUrl = window.location.href;
   //var realUrl = currentUrl.substring(0, currentUrl.indexOf("SiteAssets")-1);
   //var restPath = "https://" + window.location.hostname + ":8888/RAMS-2.2.0/";
   var realUrl = dynamicSharepointURL;
   var restPath = dynamicWebServiceURL;
	var requestDigest = null;
	var studyArray = [];
	var count = 0;
	var facilityNames = [];
	
	
	
	function generatePISiteReportData(){		
		//THIS IS THE MAIN QUERY TO RETRIEVE STUDY ITEMS FROM APPLICATION LIST.
			$.ajax({
				url: realUrl + "_api/web/lists/getbytitle('Application')/items?$filter=ApplicationStatus eq 'Approved'&$select=Study_ID,CIRB_ID,Title,ApplicationType,AssignedIRBAdministrator/ID,AssignedIRBAdministrator/Title,PrincipalInvestigator/ID,PrincipalInvestigator/Title,Reviewers/ID,Reviewers/Title,FacilityLookup/FacilityName&$expand=AssignedIRBAdministrator,FacilityLookup,PrincipalInvestigator,Reviewers",
				method: "GET",
				headers: { "Accept": "application/json; odata=verbose" },
				success: function (data) {
					// mapping the results
					
					populatestudyArray(data);
					//This function will populate the studyArray
				},
				error: function (data) {
					console.log("Error on SharePoint query: \n"+JSON.stringify(data));
				}
			});	
	}
	
	
	 function populatestudyArray(inData){
		itemInfo =  inData;
		count = 0;
		//1) THIS FUNCTION WILL BUILD ARRAY FROM MAIN QUERY USING LOOP.  inData IS THE JSON PASSED FROM MAIN QUERY
		for(itemCount = 0; itemCount < itemInfo.d.results.length; itemCount++){
			   var studyID = itemInfo.d.results[itemCount].Study_ID;
			   var facility = itemInfo.d.results[itemCount].FacilityLookup.FacilityName;
			   
			   if(facilityNames.indexOf(facility) == -1){
				   facilityNames.push(facility);
				   console.log(facilityNames);
			   }
			   studyArray.push({
				   		"Study_ID": studyID,
						"CIRB_Number": itemInfo.d.results[itemCount].CIRB_ID,
						"Title": itemInfo.d.results[itemCount].Title,
						"Site": facility,
						"PI": itemInfo.d.results[itemCount].PrincipalInvestigator.Title,
						"IRB_Manager": itemInfo.d.results[itemCount].AssignedIRBAdministrator.Title
						
				});
				//2) IN THE LOOP, IT WILL GO TO RETRIEVE STATUS DETAILS FROM RAMS_DB FOR EACH STUDY IN THE MAIN QUERY.
				
			   	$.ajax({
					url: restPath + "study/" +studyID,
					method: "GET",
					headers: { "Accept": "application/json; odata=verbose" },
					success: function (data) {
						// 3) THIS SECOND AJAX QUERY IS GETTING THE study JSON OBJECT FROM RAMS_DB FOR EACH STUDY IN MAIN QUERY.  IF THERE ARE STATUS COLLECTION  ASSOCIATED WITH THIS STUDY OBJECT, IT WILL BUILD STATUS STRING USING getStatusText FUNCTION. IT WILL THEN UPDATE THE STATUS PROPERTY OF ARRAY OBJECT OF THAT STUDY IN studyArray USING updateStatus() FUNCTION.
						var approvalDate = getStatusText(data);
						updateStatus(data.assignedID, approvalDate);
						
						//SINCE THIS AJAX CALL IS ASYNCHRONOUS, WE HAVE TO TRACK THE END OF LAST AJAX CALL USING COUNTER AND COMPARING AGAINST THE SIZE OF MAIN QUERY.
						count = count + 1;
						
						if (count == (itemInfo.d.results.length)){ //THIS IS THE LAST AJAX CALL
							
							//build selecter for facility names
							addOptions('dropdown', facilityNames);
							createTable('dropdown');						
							
						}
						
					},
					error: function (data) {
						//4) NO STATUS FOUND IN RAMS_DB FOR THAT STUDY
						count = count+ 1;
						if (count  == (itemInfo.d.results.length )){ ////THIS IS THE LAST AJAX CALL
							
							//build selecter for facility names
							addOptions('dropdown', facilityNames);
		
						}
						console.log("Error on call to database: \n"+JSON.stringify(data));
					}
				
				});
        }//end of for loop	
	 }
	 
	 
	function updateStatus(studyID, approvalDate) {
		for (var i in studyArray) {
			if (studyArray[i].Study_ID == studyID) {
				studyArray[i].Approval_Date = approvalDate;
				break; //Stop this loop, we found it!
			}
		}
	}
	
	 
	function getStatusText(studyObject){
		
		var approvalDate;
		var study = studyObject;
		for (var j in study.studyStatusCollection){
				approvalDate = study.studyStatusCollection[j].updatedAt.split("T")[0];
		}
		
		return approvalDate; 
		
	}
	
	/* add facility name options to selecter*/
	function addOptions(selecterId, options){
		var selecter = document.getElementById(selecterId);
		
		for (var i=0; i<facilityNames.length; i++){
			console.log(selecter.options);
			selecter.options[i] = new Option(facilityNames[i], facilityNames[i]);
		}
	}
	
	/* create table based on facility/site selected*/
	function createTable(selecterId){
		var selecter = document.getElementById(selecterId);
		var selectedOption = selecter.options[selecter.selectedIndex].value;
		var siteArray = [];
		
		for(var k=0; k<studyArray.length; k++){
			if(studyArray[k].Site == selectedOption){
				siteArray.push(studyArray[k]);
			}
		}
		
		//create table with array just containing the selected site's data
		$("#example-table-theme").tabulator("setData", siteArray);
	}

	
	 
	
	 
	 
	 
	 
	

    