var itemInfo; // data after JSON is parsed into dictionary
// var currentUrl = window.location.href;
// var realUrl = currentUrl.substring(0, currentUrl.indexOf("SiteAssets")-1);
// var restPath = "https://" + window.location.hostname + ":8888/RAMS-2.2.0/";
var realUrl = dynamicSharepointURL;
var restPath = dynamicWebServiceURL;
var requestDigest = null;
var studyActionArray = [];
var count = 0;
var managerNames = []; // used to organize data by assigned IRB manager

function generateStudyActionReportData() {
   var studyActionData = null;

   // THIS IS THE MAIN QUERY TO RETRIEVE STUDY ITEMS FROM APPLICATION LIST.

   sendREST("POST", realUrl + "_api/ContextInfo", null, function(json) {
      requestDigest = json.d.GetContextWebInformation.FormDigestValue;
   });
   var url = null;
   getApplicationData(url);
}

function getApplicationData(url) {
   var initialUrl = realUrl
         + "_api/web/lists/getbytitle('Application')/items?$filter= ApplicationStatus eq 'Approved' or ApplicationStatus eq 'Approved with Major Modifications' or ApplicationStatus eq 'Approved with Minor Modifications' &$select=ID, Study_ID,Comments, CIRB_ID,ApplicationType,AssignedIRBAdministrator/ID,AssignedIRBAdministrator/Title,Reviewers/ID,Reviewers/Title,FacilityLookup/FacilityName&$expand=AssignedIRBAdministrator,Reviewers,FacilityLookup";
   var appDataUrl;
   if (url) {
      appDataUrl = url;
   } else {
      appDataUrl = initialUrl;
   }
   $.ajax({
      url : appDataUrl,
      method : "GET",
      headers : {
         "Accept" : "application/json; odata=verbose"
      },
      success : function(data) {
         // mapping the results
         // This function will populate the studyActionArray
         populateStudyActionArray(data);
         if (data.d.__next) {
            getApplicationData(data.d.__next);
         }
      },
      error : function(data) {
         console.log("Error " + data);
      }
   });

}

function populateStudyActionArray(inData) {
   itemInfo = inData;
   count = 0;
   // 1) THIS FUNCTION WILL BUILD ARRAY FROM MAIN QUERY USING LOOP. inData IS THE JSON PASSED FROM MAIN QUERY
   for (itemCount = 0; itemCount < itemInfo.d.results.length; itemCount++) {
      var studyID = itemInfo.d.results[itemCount].Study_ID;
      var manager = itemInfo.d.results[itemCount].AssignedIRBAdministrator.Title;

      // make list of IRB Manager names
      if ((managerNames.indexOf(manager) == -1) && (manager != undefined)) {
         managerNames.push(manager);
      }

      studyActionArray.push({
         "id" : itemInfo.d.results[itemCount].ID,
         "Study_ID" : studyID,
         "ActionItem" : itemInfo.d.results[itemCount].ApplicationType,
         "IRB_Manager" : manager,
         "Reviewer" : itemInfo.d.results[itemCount].Reviewers.Title,
         "CIRB_Number" : itemInfo.d.results[itemCount].CIRB_ID,
         "Status" : "NA",
         "Comment" : itemInfo.d.results[itemCount].Comments
      });
      // 2) IN THE LOOP, IT WILL GO TO RETRIEVE STATUS DETAILS FROM RAMS_DB FOR EACH STUDY IN THE MAIN QUERY.

      $.ajax({
         url : restPath + "study/" + studyID,
         method : "GET",
         headers : {
            "Accept" : "application/json; odata=verbose"
         },
         success : function(data) {
            // 3) THIS SECOND AJAX QUERY IS GETTING THE study JSON OBJECT FROM RAMS_DB FOR EACH STUDY IN MAIN QUERY. IF
            // THERE ARE STATUS COLLECTION ASSOCIATED WITH THIS STUDY OBJECT, IT WILL BUILD STATUS STRING USING
            // getStatusText FUNCTION. IT WILL THEN UPDATE THE STATUS PROPERTY OF ARRAY OBJECT OF THAT STUDY IN
            // studyActionArray USING updateStatus() FUNCTION.

            var statusText = getStatusText(data);
            updateStatus(data.assignedID, statusText);

            // SINCE THIS AJAX CALL IS ASYNCHRONOUS, WE HAVE TO TRACK THE END OF LAST AJAX CALL USING COUNTER AND
            // COMPARING AGAINST THE SIZE OF MAIN QUERY.
            count = count + 1;

            if (count == (itemInfo.d.results.length)) { // THIS IS THE LAST AJAX CALL

               // build selecter for IRB manager names
               addOptions('dropdown', managerNames);
               createTable('dropdown');

            }

         },
         error : function(data) {
            // 4) NO STATUS FOUND IN RAMS_DB FOR THAT STUDY
            count = count + 1;
            if (count == (itemInfo.d.results.length)) { // //THIS IS THE LAST AJAX CALL

               // build selecter for IRB manager names
               addOptions('dropdown', managerNames);
               createTable('dropdown');

            }
            console.log("Error on call to database: \n" + JSON.stringify(data));
         }

      });

   }// end of for loop

}

function updateStatus(studyID, statusText) {
   for ( var i in studyActionArray) {
      if (studyActionArray[i].Study_ID == studyID) {
         studyActionArray[i].Status = statusText;
         break; // Stop this loop, we found it!
      }
   }
}

function getStatusText(studyObject) {

   var statusText = "";
   var study = studyObject;
   for ( var j in study.studyStatusCollection) {

      statusText = statusText + study.studyStatusCollection[j].studyState.name + "-"
            + study.studyStatusCollection[j].updatedBy.displayName + String.fromCharCode(13);

   }

   return statusText;

}

function updateComment(itemID, comment) {

   newData = {
      "__metadata" : {
         "type" : "SP.Data.ApplicationListItem"
      },
      "Comments" : comment
   };

   // Update Application list item
   $.ajax({
      url : realUrl.concat("_api/Web/Lists/GetByTitle('Application')/Items(" + itemID + ")"), // post change to
                                                                                                // application list
      type : "POST",
      data : JSON.stringify(newData),
      headers : {
         "X-RequestDigest" : requestDigest,
         "Content-Type" : "application/json;odata=verbose",
         "IF-MATCH" : "*",
         "X-HTTP-Method" : "MERGE"
      },
      error : function(XMLHttpRequest, textStatus, errorThrown) {
         logError((realUrl.concat("_api/Web/Lists/GetByTitle('Application')/Items(" + itemID + ")")), errorThrown,
               textStatus, JSON.stringify(XMLHttpRequest));
      }
   });
}

/* add manager name options to selecter */
function addOptions(selecterId, options) {

   if (managerNames.indexOf("Show All") == -1) {
      managerNames.push("Show All");
   }
   if (managerNames.indexOf("Unassigned Manager") == -1) {
      // add option for studies without IRB manager
      managerNames.push("Unassigned Manager");
   }
   managerNames.sort(); // sort names alphabetically

   var selecter = document.getElementById(selecterId);
   for (var i = 0; i < managerNames.length; i++) {
      selecter.options[i] = new Option(managerNames[i], managerNames[i]);
   }
}

/* create table based on manager selected */
function createTable(selecterId) {
   var selecter = document.getElementById(selecterId);
   var selectedOption = selecter.options[selecter.selectedIndex].value;
   var selectedArray = [];

   if (selectedOption == "Show All") { /* Show all studies */
      selectedArray = studyActionArray.slice(); // make copy efficiently
   } else if (selectedOption == "Unassigned Manager") { /* Filter out studies with no IRB Manager assigned */
      for (var j = 0; j < studyActionArray.length; j++) {
         if (studyActionArray[j].IRB_Manager == undefined) {
            selectedArray.push(studyActionArray[j]);
         }
      }
   } else { /* Filter out studies with the manager selected */
      for (var k = 0; k < studyActionArray.length; k++) {
         if (studyActionArray[k].IRB_Manager == selectedOption) {
            selectedArray.push(studyActionArray[k]);
         }
      }
   }

   // create table with array just containing the selected manager's data
   $("#example-table-theme").tabulator("setData", selectedArray);

}
