<#
.SYNOPSIS
	Add Adverse Reportable Site Columns to the Site Collection.
    
.DESCRIPTION
	This creates the Site Columns For Adverse Reportable and adds them to the Site Columns.  
    
.EXAMPLE
	#when run from deploymentDriver.ps1
	Run-Script 100 AddAdverseReportableSiteColumns.ps1

.EXAMPLE
	#when run from the powershell command prompt.
	.\AddAdverseReportableSiteColumns.ps1
 #>
Add-PSSnapin Microsoft.SharePoint.PowerShell

if ((get-module | Where-Object({$_.Name -eq 'RAMS_Module_Util'}) ) -eq $null) {
    Import-Module .\RAMS_Module_Util.psm1 -Verbose
}
$weburl = Get-SiteURL
$webSite = Get-SPWeb $weburl

#CREATE SITE COLUMNS
write-log -message "CREATING SITE COLUMNS" -consoleForeground Green

#Chita Per The SDD If possible can we enhance the Set-SiteColumn To Allow for the below
#Needs to be updated to have Max Size = 3 and Not Required if possible
Set-SiteColumn -web $webSite -sFieldDisplayName "Adverse Reportable Event" -sFieldStaticName "AdverseReportableEvent" -sFieldInternalName "AdverseReportableEvent" -sFieldType "Text"  -spFieldGroup "RAMS IRB" 
Set-SiteColumn -web $webSite -sFieldDisplayName "Deviation Reportable Event" -sFieldStaticName "DeviationReportableEvent" -sFieldInternalName "DeviationReportableEvent" -sFieldType "Text"  -spFieldGroup "RAMS IRB" 
	
#ADD SITE COLUMNS TO CONTENT TYPE
write-log -message "ADDING SITECOLUMNS TO CONTENT TYPE" -consoleForeground Green

Add-SiteColumnToCT -web $webSite -ctName "Application CT" -sFieldInternalName "AdverseReportableEvent" -sFieldStaticName "AdverseReportableEvent"
Add-SiteColumnToCT -web $webSite -ctName "Application CT" -sFieldInternalName "DeviationReportableEvent" -sFieldStaticName "DeviationReportableEvent"

#clean
if($webSite -ne $null) {
    $webSite.Dispose();
}