<#
.SYNOPSIS
	Add Application Site Columns For Off Site Waivers to the Site Collection.
    
.DESCRIPTION
	This creates the Off Site Waivers and Adds Them To The Application Content Types.  

.EXAMPLE
    #when run from deploymentDriver.ps1
    Run-Script 070 AddOffsiteWaiverSiteColumn.ps1

.EXAMPLE
    #when run from the powershell command prompt.
    .\AddOffsiteWaiverSiteColumn.ps1
 #>
Add-PSSnapin Microsoft.SharePoint.PowerShell

if ((get-module | Where-Object({$_.Name -eq 'RAMS_Module_Util'}) ) -eq $null) {
    Import-Module .\RAMS_Module_Util.psm1 -Verbose
}

$weburl = Get-SiteURL
$webSite = Get-SPWeb $weburl

#CREATE SITE COLUMNS
write-log -message "CREATING SITE COLUMNS" -consoleForeground Green

Set-SiteColumn -web $webSite -sFieldDisplayName "Off-site Waiver Requests" -sFieldStaticName "OffsiteWaiverRequests" -sFieldInternalName "OffsiteWaiverRequests" -sFieldType "Note"  -spFieldGroup "RAMS IRB" 
	

#ADD SITE COLUMNS TO CONTENT TYPE
write-log -message "ADDING SITECOLUMNS TO CONTENT TYPE" -consoleForeground Green

Add-SiteColumnToCT -web $webSite -ctName "Application CT" -sFieldInternalName "OffsiteWaiverRequests" -sFieldStaticName "OffsiteWaiverRequests"

#clean
if($webSite -ne $null) {
    $webSite.Dispose();
}