<#
.SYNOPSIS
	Add Administrative View For The Application List.
    
.DESCRIPTION
	This creates the Administrative View for the Application List.  

.EXAMPLE
	 #when run from deploymentDriver.ps1
	Run-Script  CreateAdministrativeView.ps1

.EXAMPLE
    #when run from the powershell command prompt.
    .\CreateAdministrativeView.ps1
 #>

$fldList = @(
    'StudyIDLink'; 'StudyTitle';'ParentStudyID';'PrincipalInvestigator';'Co-PI';'ApplicationStatus';'FacilitiesLookup'; 'ApplicationSiteType';'RenewalDate';'Risk Level';'AssignedIRBAdministrator';'PrimaryReviewers'
)
$viewQuery = "<Where><Or><Eq><FieldRef Name='ApplicationStatus'/><Value Type='Text'>Submitted</Value></Eq><BeginsWith><FieldRef Name='ApplicationType'/><Value Type='Text'>Renewal</Value></BeginsWith></Or></Where>"
New-SpListView -fldList $fldList -viewTitle 'Administrative' -listName 'Application' -viewQuery $viewQuery -viewRowLimit '50'


$listName = "Application"
$web = Get-SPWeb -Identity (Get-SiteURL)    
$list=$web.GetList($web.ServerRelativeUrl.TrimEnd("/") + "/Lists/$listName")
$viewTitle = "Administrative"
$view = $list.Views[$viewTitle]
if ($view -ne $null) {
    $aggregations = "<FieldRef Name='ApplicationStatus' Type='COUNT'/>"
    $view.Aggregations = $aggregations
    $view.AggregationsStatus = "On"
    $view.Update();
    $list.Update()
}




