<#
.SYNOPSIS
	Add AdverseReportableView View For The Application List.
    
.DESCRIPTION
	This creates the AdverseReportableView View for the Application List.  
        
.EXAMPLE
	#when run from deploymentDriver.ps1
	Run-Script 190 CreateAdverseReportableView.ps1

.EXAMPLE
	#when run from the powershell command prompt.
	.\CreateAdverseReportableView.ps1
 #>

$fldList = @(
    'StudyTitle';'StudyIDLink';'PrincipalInvestigator';'IRBAdministrator';'ApplicationStatus';'Modified';'ApplicationSiteType';'FacilitiesLookup';'AdverseReportableEvent';'DeviationReportableEvent'
)
$viewQuery ="<Where><And><Contains><FieldRef Name='StudyTitle'/><Value Type='Text'>Adverse/Reportable Event</Value></Contains><Neq><FieldRef Name='ApplicationStatus'/><Value Type='Text'>Draft</Value></Neq></And></Where>"
New-SpListView -fldList $fldList -viewTitle 'AdverseReportableEvent' -listName 'Application' -viewQuery $viewQuery -viewRowLimit '50'



