<#
.SYNOPSIS
    Create Facilities Calendars and document library For Supplemental Committees.
    
.DESCRIPTION
    This creates SC1, SC2, and SC3 Calendar and document library by looping through the webs and creating a new 
    document library and calendar for each Supplemental committee.
        
.EXAMPLE
    #when run from deploymentDriver.ps1
    Run-Script 200 CreateFacilityCalendars.ps1

EXAMPLE
    #when run from the powershell command prompt.
    .\CreateFacilityCalendars.ps1
 #>


$website = (Get-SiteWeb)
$newCommittees = @("SC1","SC2","SC3")

#create new calendar list in all facilities
$newCommittees | % {
    $newCommiteeName = $_
    (Get-SiteWeb).Webs | % {
        $facilitySite = $_

        #create new SP documents and calendar
        $newDoc = New-SPList -web $facilitySite -newCommiteeName $newCommiteeName -template Documents
        $newCalendar = New-SPList -web $facilitySite -newCommiteeName $newCommiteeName -template Calendar

        #Create meeting minute lookup
        New-MeetingMinuteLookup -web $facilitySite -committee $newCommiteeName
    }
}

#$website = (Get-SiteWeb)
$newCommittees | % {
    $newCommiteeName = $_
    (Get-SiteWeb).Webs | % {
        $facilitySite = $_
        #add new column to the list
        $newCalendar = $_.Lists.TryGetList("$newCommiteeName Calendar")
        #$newField = $facilitySite.Fields.TryGetFieldByStaticName("$($newCommiteeName)MeetingMinuteLookup")
        $newField1 = $facilitySite.Fields.TryGetFieldByStaticName("SubmittedApplicationLookup")
        $deleteField=$newCalendar.Fields.TryGetFieldByStaticName("TaxKeyword")
        if ($deleteField -ne $null) {
            $newCalendar.Fields.Delete($deleteField)
        }
        #$newCalendar.Fields.Add($newField);
        $newCalendar.Fields.Add($newField1);
        $newCalendar.Update()

        #remove redundant attendees from the forms.
        $newCalendar = [Microsoft.SharePoint.SPList]$_.Lists.TryGetList("$newCommiteeName Calendar") 
        $toRemoveField = $newCalendar.Fields.TryGetFieldByStaticName("Attendees")
        $toRemoveField.ShowInNewForm = $false
        $toRemoveField.ShowInEditForm = $false
        $toRemoveField.Update($true)
        $newCalendar.Update()

        #update Calendar view
        Update-CalendarView -web $facilitySite -committee $newCommiteeName
    }
}

#$website = (Get-SiteWeb)

