<#
.SYNOPSIS
	Create TMS View.
    
.DESCRIPTION
	This creates the TMS View for the TMS List.  
        
.EXAMPLE
	#when run from deploymentDriver.ps1
	Run-Script 160 CreateMyTMSView.ps1

.EXAMPLE
 	#when run from the powershell command prompt.
	.\CreateMyTMSView.ps1   
#>

$fldList = @(
    'FirstName'; 'LastName';'Trainee';'CompletionStatus';'ItemDescription';'ItemID';'CompletionDate';'ExpirationDate'
)
$viewQuery = "<Where><Eq><FieldRef Name='Trainee'/><Value Type='Integer'><UserID Type='Integer'/></Value></Eq></Where>"
New-SpListView -fldList $fldList -viewTitle 'MyTMS' -listName 'TMS' -viewQuery $viewQuery -viewRowLimit '50'


