<#
.SYNOPSIS
	Creates The New Views For Calendars.
    
.DESCRIPTION
	This creates the New Views For Calendars for Calendar Lists.  
        
.EXAMPLE
	#when run from deploymentDriver.ps1
	Run-Script 210 CreateNewCalendarViews.ps1

.EXAMPLE
    #when run from the powershell command prompt.
    .\CreateNewCalendarViews.ps1  
 #>

function GetAllWebs () {

  <#
	.SYNOPSIS
	    GetAllWebs gets all the subsites in the Site Collection
	
	.DESCRIPTION
	   The GetAllWebs loops through all the subsites (facilities) in the site collection).
	
	.EXAMPLE
	   GetAllWebs() this gets the subsites for a specified site collection.
#>

  foreach($subWeb in (Get-SiteWeb).Webs) {        
   ModifyAllItemsView $subWeb
    
  }

}
            
 function ModifyAllItemsView ($web) {
  <#

	.SYNOPSIS
	    ModifyAllItemsView modifys the all items view for a given facility
	
	.DESCRIPTION
	   The ModifyAllItemsView modifys the all items view for a given facility
	
	.PARAMETER $web
	    [String] This is the URL of the site collection.
	
	.EXAMPLE
	   ModifyAllItemsView($web) this modifies the all items view for a given web.
#>

$fldList = @(
    'LinkTitle'; 'EventDate';'EndDate';'Location'; 'Attendees'; 'CommitteeAttendees'
)
	$viewQuery = "<Where></Where>"
	New-SpFacilityListView  -web $web -fldList $fldList -viewTitle 'StandardView' -listName 'FullBoardReviewCalendar' -viewQuery $viewQuery -viewRowLimit '50'
	New-SpFacilityListView  -web $web -fldList $fldList -viewTitle 'StandardView' -listName 'RDC Calendar' -viewQuery $viewQuery -viewRowLimit '50'
	
$fldList = @(
    'LinkTitle'; 'EventDate';'EndDate';'Location'; 'EventAttendees'; 'CommitteeAttendees'
)
    New-SpFacilityListView  -web $web -fldList $fldList -viewTitle 'StandardView' -listName 'IACUC Calendar' -viewQuery $viewQuery -viewRowLimit '50'

$fldList = @(
    'LinkTitle'; 'EventDate';'EndDate';'Location'; 'EventAttendees'; 'EventCommitteeAttendees'
)
      New-SpFacilityListView  -web $web -fldList $fldList -viewTitle 'StandardView' -listName 'SRSCalendar' -viewQuery $viewQuery -viewRowLimit '50'
      New-SpFacilityListView  -web $web -fldList $fldList -viewTitle 'StandardView' -listName 'SC1Calendar' -viewQuery $viewQuery -viewRowLimit '50'
      New-SpFacilityListView  -web $web -fldList $fldList -viewTitle 'StandardView' -listName 'SC2Calendar' -viewQuery $viewQuery -viewRowLimit '50' 
      New-SpFacilityListView  -web $web -fldList $fldList -viewTitle 'StandardView' -listName 'SC3Calendar' -viewQuery $viewQuery -viewRowLimit '50'



}  

GetAllWebs