<#
 .SYNOPSIS
	Creates The OffsiteWaiverRequestView for the Application List.

.DESCRIPTION
 	This Creates The OffsiteWaiverRequestView for the Application List. 
        
.EXAMPLE
	#when run from deploymentDriver.ps1
	Run-Script 080 CreateOffsiteWaiverRequestView.ps1

.EXAMPLE
    #when run from the powershell command prompt.
    .\CreateOffsiteWaiverRequestView.ps1    
 #>

$fldList = @(
    'StudyTitle';'StudyIDLink';'PrincipalInvestigator';'AssignedIRBAdministrator';'ApplicationStatus';'Modified';'ApplicationSiteType';'FacilitiesLookup';'OffsiteWaiverRequests'
)
$viewQuery = "<Where><And><IsNotNull><FieldRef Name='OffsiteWaiverRequests'/></IsNotNull><Neq><FieldRef Name='ApplicationStatus'/><Value Type='Text'>Draft</Value></Neq></And></Where>"
New-SpListView -fldList $fldList -viewTitle 'OffsiteWaiverRequests' -listName 'Application' -viewQuery $viewQuery -viewRowLimit '50'

