<#
.SYNOPSIS
    EnableVersioningOnAFDocumentLibrary turns on versioning for the AF Document library.

.DESCRIPTION
   Loops through all webs and updates each Animal Facility Document library to turn on versioning.

.EXAMPLE
    #when run from deploymentDriver.ps1
    Run-Script 130 EnableVersioningOnAFDocumentLibrary.ps1

.EXAMPLE
     #when run from the powershell command prompt.
    .\EnableVersioningOnAFDocumentLibrary.ps1
#>

(Get-SiteWeb).Webs | % {
    $afDocList = $_.Lists | ? {$_.Title -match "Animal"}
    $afDocList.EnableVersioning = $True
    $afDocList.Update()
    write-log -message "$($afDocList.Title) => Versioning Enabled: $($afDocList.EnableVersioning) on web $($_.Url)" -consoleForeground Green
}