<#
.SYNOPSIS
    EnableVersioningOnAllDocLib turns on versioning for all facility document libraries.
    
.DESCRIPTION
    Loops through all webs and updates each Document library to turn on versioning.
      
.EXAMPLE
    #when run from deploymentDriver.ps1
    Run-Script 290 EnableVersioningOnAllDocLib.ps1

.EXAMPLE
    #when run from the powershell command prompt.
    .\EnableVersioningOnAllDocLib.ps1
#>

$rootSite = (Get-SiteWeb)

(Get-SiteWeb).Webs | % {
    $subsite = $_
    $subsite.Lists | ? {$_.EntityTypeName -match "Document"} | % {
        $_.EnableVersioning = $True
        $_.update()
        write-log -message "$($_.Title) Versioning Enabled: $($_.EnableVersioning) on $($subsite.Url)" -consoleForeground Green
    }
}

