<#
.SYNOPSIS
    Migrates the CIRB Report Comments.

.DESCRIPTION
    Loops through the Application List records and moves the Comments data to the RAMS.Report_Comments table.

.EXAMPLE
    #when run from deploymentDriver.ps1
    Run-Script 220 MigrateCIRBReportComments.ps1

.EXAMPLE
    #when run from the powershell command prompt.
    .\MigrateCIRBReportComments.ps1    
#>

$website = Get-SiteWeb
$appList = $website.Lists.TryGetList("Application")

$appList.Items | % {
    if($_["Comments"]) {
        $Comments = ([xml]$_["Comments"]).div.InnerText
        $ID = $_["ID"]
        write-log -message "Migrating CIRB Reporting Comments: $ID , $Comments" -consoleForeground Cyan
        $query = "
            insert into [dbo].[Report_Comments] 
             values($ID, '$Comments')
        "
        $resultSet = Invoke-Sqlcmd -ServerInstance ($Global:hostInfo.sql) -Database RAMS -Query $query -Verbose
    }
}
