<#
.SYNOPSIS
    Updated the Conflict of Interest view.
    
.DESCRIPTION
    Adds the List View for the Conflict of Interest to the Application List 
    
.EXAMPLE
    #when run from deploymentDriver.ps1
    Run-Script 360 UpdateCOIDisclosureView.ps1

.EXAMPLE
    #when run from the powershell command prompt.
    .\UpdateCOIDisclosureView.ps1
  
#>
$fldList = @(
    'StudyIDLink'; 'StudyTitle';'PrincipalInvestigator';'ApplicationType'; 'ApplicationStatus'; 'COI'; 'IRBAdministrator'
)
$viewQuery = "<Where><Neq><FieldRef Name='ApplicationStatus'/><Value Type='Text'>draft</Value></Neq></Where>"
New-SpListView -fldList $fldList -viewTitle 'COIDisclosure' -listName 'Application' -viewQuery $viewQuery -viewRowLimit '50'
