<#
.SYNOPSIS
    NOT USED. Adds the Supplemental Committee entries to the CommitteeTypes list.
    
.DESCRIPTION
    adds SC1, SC2, SC3 to the "Committee Types" list .
        SC1 - Supplemental Committee
        SC2 - Supplemental Committee
        SC3 - Supplemental Committee 
    
.PARAMETER site
    [string] The url of the site where the content is to be created
    
.NOTES
    NOT USED in R2.3 Deployment Driver or elsewhere.
    
.EXAMPLE
    #when run from the powershell command prompt.
    .\UpdateCommitteeTypesList.ps1 -site "https://DNS.URL/sites/IRBApplications"
  
#>

Param(
    [Parameter(Mandatory=$True)]
    [string]$site
)

#Try{
Add-PSSnapin Microsoft.SharePoint.PowerShell
SPSite
write-log -message "MAKE SURE,'site' is set to APPROPRIATE SITE/ENVIRONMENT URL BEFORE RUNNING at !!" -consoleForeground Magenta

# GET THE SITE

$web = Get-SPWeb $site

$listName = "Committee Types"
$myList = $spListCollection.TryGetList($listName);

#POPULATE COMMITTEE TYPES LIST WITH ITEMS

# TODO - CHITA - Do we need to verify that ID 5-8 is not used and Code 105-107 is not used?
#Populate the list with new items
$newItem = $myList.AddItem();
$newitem["Committee ID"] = 5;
$newitem["Committee's Name"] = "SC1";
$newitem["Committee Code"] = 105;
$newItem["Description"] = "Supplemental Committee 1"
$newitem.update();

$newItem = $myList.AddItem();
$newitem["Committee ID"] = 6;
$newitem["Committee's Name"] = "SC2";
$newitem["Committee Code"] = 106;
$newItem["Description"] = "Supplemental Committee 2"
$newitem.update();

$newItem = $myList.AddItem();
$newitem["Committee ID"] = 7;
$newitem["Committee's Name"] = "SC3";
$newitem["Committee Code"] = 107;
$newItem["Description"] = "Supplemental Committee 3"
$newitem.update();

$web.Dispose();

write-log -message "ALL DONE!" -consoleForeground green
<#
}
catch [Exception]{
    write-error "$_.Exception" | format-list -force
}
#>