<#
.SYNOPSIS
	Create TMS All Items View.
    
.DESCRIPTION
	This creates TMS All Items View.  
    
.EXAMPLE
	#when run from deploymentDriver.ps1
	Run-Script 170 UpdateTMSAllItemsView.ps1

.EXAMPLE
	#when run from the powershell command prompt.
	.\UpdateTMSAllItemsView.ps1
 #>

function ModifyTMSAllItemsView() 
<#
.SYNOPSIS
	ModifyTMSAllItemsView Function.
    
.DESCRIPTION
	This creates TMS All Items View.  
    
.EXAMPLE
	#when run from the this script.
	ModifyTMSAllItemsView.ps1
 #>

{
$defaultView = $list.DefaultView;

#Delete All Fields On All Items View
#Delete Fields Matched On SQA
$defaultView.ViewFields.delete("CompletionDate")
$defaultView.ViewFields.delete("CompletionStatus")
$defaultView.ViewFields.delete("Created")
$defaultView.ViewFields.delete("FirstName")
$defaultView.ViewFields.delete("ItemDescription")
$defaultView.ViewFields.delete("ItemID")
$defaultView.ViewFields.delete("ItemRevisionDate")	
$defaultView.ViewFields.delete("LastName")		
$defaultView.ViewFields.delete("TMSUserID")			

#Recreate view with new ExpirationDate Field
$defaultView.ViewFields.Add("FirstName") > $null
$defaultView.ViewFields.Add("LastName") > $null
$defaultView.ViewFields.Add("Trainee") > $null
$defaultView.ViewFields.Add("CompletionStatus") > $null
$defaultView.ViewFields.Add("ItemDescription") > $null
$defaultView.ViewFields.Add("ItemID") > $null
$defaultView.ViewFields.Add("CompletionDate") > $null
$defaultView.ViewFields.Add("ExpirationDate") > $null


#Create the view in the destination list
$defaultView.Update();
write-log -message "$($defaultView.Title) View has be updated in $($list.Title) list on site $($w.Url)" -consoleForeground Green

}
  
#This is to test the driver contains a $siteUrl
#$siteUrl="https://DNS.URL/sites/IRBApplications/";
$w = Get-SPWeb $siteUrl;
$list = $w.GetList($w.ServerRelativeUrl.TrimEnd("/") + "/Lists/TMS")
ModifyTMSAllItemsView