<#
.SYNOPSIS
	Create TMS View On Application List and Adds New Site Columns To TMS Content.
    
.DESCRIPTION
	This creates TMS View On Application List and Adds New Site Columns To TMS Content.  
    
.EXAMPLE
	#when run from deploymentDriver.ps1
	Run-Script 150 UpdateTMSList.ps1

.EXAMPLE
	#when run from the powershell command prompt.
	.\UpdateTMSList.ps1
 #>

#add new site column
Set-SiteColumn -sFieldDisplayName "Expiration Date" -sFieldStaticName "ExpirationDate" -sFieldInternalName "ExpirationDate" -sFieldType Text -spFieldGroup "RAMS IRB" -showInEditForm -showInNewForm
Set-SiteColumn -sFieldDisplayName "Trainee" -sFieldStaticName "Trainee" -sFieldInternalName "Trainee" -sFieldType User -spFieldGroup "RAMS IRB" -showInEditForm -showInNewForm
Set-SiteColumn -sFieldDisplayName "UsersID" -sFieldStaticName "UsersID" -sFieldInternalName "UsersID" -sFieldType Integer -spFieldGroup "RAMS IRB" -showInEditForm -showInNewForm

#add columns to application CT
Add-SiteColumnToCT -web (Get-SiteWeb) -ctName "TMS CT" -sFieldInternalName "ExpirationDate" -sFieldStaticName "ExpirationDate"
Add-SiteColumnToCT -web (Get-SiteWeb) -ctName "TMS CT" -sFieldInternalName "Trainee" -sFieldStaticName "Trainee"
Add-SiteColumnToCT -web (Get-SiteWeb) -ctName "TMS CT" -sFieldInternalName "UsersID" -sFieldStaticName "UsersID"

#get list
$tmsList = (Get-SiteWeb).Lists.TryGetList("TMS")
$viewFlds = @(
    "Approver Comments"
    ",First Name"
    ",Last Name"
    ",ItemID"
    ",ItemRevisionNum"
    ",ItemRevisionDate"
    ",ItemDescription"
    ",CompletionDate"
    ",CompletionStatus"
    ",MI"
    ",TMSUserID"
    ",UsersID"
    ",Expiration Date"
    ",Trainee"
    ",Attachments"
    ",Modified"
    ",Created"
)

#update the view
$expirationDateFld = (Get-SiteWeb).fields | ? {$_.Title -eq "Expiration Date"}
$traineeFld = (Get-SiteWeb).fields | ? {$_.Title -eq "Trainee"}

$tmsList.Views["All Items"].ViewFields.Add("Expiration Date")
$tmsList.Views["All Items"].ViewFields.Add("UsersID")
$tmsList.Views["All Items"].ViewFields.Add($traineeFld)
$tmsList.Views["All Items"].ViewFields.Count

$tmsList.Views["All Items"].Update()
$tmsList.Update()

