<#
.SYNOPSIS
    Import or remove users from CSV to SharePoint Security Groups

.DESCRIPTION
    Reads a csv file with Security Group, Person, and Action columns.
        Security Group is a Security Group Name from SharePoint. The group must exist in SharePoint.
        Person is the display name of the user to be added or removed from the group. 
        Action is either ADD or REMOVE
    The Input File can be generated by running Get-SecurityGroupUsers.ps1.
    The inputFilePath is hard coded in the script. 

.EXAMPLE
    #when run from the powershell command prompt.
    .\Import-RAMSUsers.ps1

#>
try {
    Add-PSSnapin Microsoft.SharePoint.PowerShell -ErrorAction SilentlyContinue
} catch {
    Write-Host "PSSnapin Microsoft.SharePoint.PowerShell already loaded" -ForegroundColor Yellow
}

if ((get-module | Where-Object({$_.Name -eq 'RAMS_Module_Util'}) ) -eq $null) {
    Import-Module D:\RAMS-2.3.0\ps\module\RAMS_Module_Util.psm1 -Verbose
} else {
    Remove-Module RAMS_Module_Util -Verbose
    Import-Module D:\RAMS-2.3.0\ps\module\RAMS_Module_Util.psm1 -Verbose
}
$inputFilePath = "D:\RAMS-2.3.0\ps\misc\RAMS-itstUsers-remove.csv"
$inputFileName = Split-Path $inputFilePath -leaf
$Global:diretoryName = $PSScriptRoot
$Global:logFileName = "$($inputFileName).log"
Import-RAMSUsers -inputFilePath $inputFilePath