<#
.SYNOPSIS
    Utility and Testing script to rename a webApplication 
    
.DESCRIPTION
    Find a webapplication by name and rename it to a new name. The names are hard coded in the script.
    
.NOTES
    Read more: http://www.sharepointdiary.com/2013/07/how-to-change-sharepoint-web-application-name-and-url.html#ixzz5Icd4sv1z
.EXAMPLE
    #when run from the powershell command prompt.
    .\Rename-WebApp.ps1
#>
Add-PSSnapin Microsoft.SharePoint.PowerShell -ErrorAction SilentlyContinue
 
#Function to Rename SharePoint Web Application
Function Rename-WebApp($OldName, $NewName)
{ 
   #Get the Web Application by its Name
   $WebApp =Get-SPWebApplication | where {$_.Name -match $OldName}
 
   #sharepoint 2010 rename web application powershell
   $WebApp.Name= $NewName
 
   $WebApp.Update()
   Write-Host "Web Application Name Changed from: $($OldName) to $($NewName)"
}
 
#Call the function to Rename Web App
Rename-WebApp "SharePoint" "RAMS IRB Applications"

