<#
.SYNOPSIS
    Reports on all Databases used by the FARM and all Content Databases

.DESCRIPTION
    Uses Get-SPDatabase and Get-SPContentDatabase to get information about the databases

.EXAMPLE
    #when run from the powershell command prompt.
    .\GetDatabases.ps1

#>
If ((Get-PSSnapIn -Name Microsoft.SharePoint.PowerShell -ErrorAction SilentlyContinue) -eq $null ) { 
    Add-PSSnapIn -Name Microsoft.SharePoint.PowerShell 
} 

#Get all databases currently used by the farm
Get-SPDatabase | Sort-Object Name | Format-Table Name

#Get all content databases currently used
Get-SPContentDatabase | Sort-Object Name | Format-Table Name