<#
.SYNOPSIS
    Utility and Testing script to retrieve all Features

.DESCRIPTION
    Recursively find all SharePoint Services, Web Applications, and Sites in order to get all the Features. Write the 
    information to the output file D:\TR\SharepointFeaturesList.csv, which is hard coded.

.EXAMPLE
    #when run from the powershell command prompt.
    .\GetFeatures.ps1

#>
$farm = [Microsoft.SharePoint.Administration.SPFarm]::Local 
$websvcs = $farm.Services | where -FilterScript {$_.GetType() -eq [Microsoft.SharePoint.Administration.SPWebService]} 
$webapps = @() 

$file= "D:\TR\SharepointFeaturesList.csv"
out-file -Encoding UTF8 -filepath $file -inputObject "WebApplication, Site Collection, Name, Feature Id, Solution ID"

write-host "Processing start ..." 


foreach ($websvc in $websvcs) {
    foreach ($webapp in $websvc.WebApplications) { 
        add-content ($webapp.Name) -path $file
        Write-Host "$webapp.Name" -ForegroundColor Yellow
        #if($webapp.Name -eq "RAMS IRB Applications"){
            foreach ($site in $webapp.Sites){ 
                    add-content (","+$site.URL) -path $file
                    $features = Get-SPFeature -Site $site.URL 
                        #desc=Get-SPFeature -Site $site.URL | select getdescription;
                        foreach ($feature in $features){
                            add-content (",,"+$feature.DisplayName+","+$feature.Id+","+$feature.SolutionId) -path $file
                        }
                }
            #} 
    }
}
write-host "End process"
write-host "This file has been created : " $file
write-host ""